Bug 853638 - Recent thunderbird freezes on open database of messages
Summary: Recent thunderbird freezes on open database of messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-01 16:48 UTC by Pavel Alexeev
Modified: 2013-08-01 01:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 01:12:19 UTC


Attachments (Terms of Use)

Description Pavel Alexeev 2012-09-01 16:48:34 UTC
Description of problem:
After some update (can't exactly say what) thinderbird behaves very poor.

Periodically it freezes UI on 1-3 minutes and load 95-100% of one core my CPU.

I've try look what it do in such moments and in most cases it reads messages from internal mork database:
$ gdb thunderbird `pidof thunderbird`
...
bt

#0  morkTable::CutRow (this=0x7fe42ab9aba0, ev=0x7fe3e5a13700, ioRow=0x7fe42be57718)
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkTable.cpp:1436
#1  0x00007fe467eefb61 in morkBuilder::OnNewRow (this=0x7fe3eafa7000, ev=0x7fe3e5a13700, inPlace=..., inMid=..., inCutAllCols=0 '\000')
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkBuilder.cpp:507
#2  0x00007fe467ef75f2 in morkParser::ReadRow (this=this@entry=0x7fe3eafa7000, ev=ev@entry=0x7fe3e5a13700, c=53)
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkParser.cpp:694
#3  0x00007fe467ef774c in morkParser::ReadTable (this=this@entry=0x7fe3eafa7000, ev=ev@entry=0x7fe3e5a13700)
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkParser.cpp:756
#4  0x00007fe467ef7cdb in morkParser::ReadContent (this=0x7fe3eafa7000, ev=0x7fe3e5a13700, inInsideGroup=1 '\001')
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkParser.cpp:1402
#5  0x00007fe467ef7f40 in morkParser::OnPortState (this=0x7fe3eafa7000, ev=0x7fe3e5a13700)
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkParser.cpp:1448
#6  0x00007fe467ef80b6 in morkParser::ParseMore (this=0x7fe3eafa7000, ev=0x7fe3e5a13700, outPos=0x7fffec4d7f0c, outDone=0x7fe3e5a72314 "", outBroken=
    0x7fe3e5a72315 "") at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkParser.cpp:1542
#7  0x00007fe467f023e1 in morkThumb::DoMore_OpenFileStore (this=this@entry=0x7fe3e5a722c0, ev=<optimized out>)
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkThumb.cpp:440
#8  0x00007fe467f024c9 in morkThumb::DoMore (this=this@entry=0x7fe3e5a722c0, ev=ev@entry=0x7fe3e5a13700, outTotal=0x7fffec4d7f9c, outCurrent=
    0x7fffec4d7fb0, outDone=0x7fffec4d7f9a "", outBroken=0x7fffec4d7f9b "")
    at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkThumb.cpp:363
#9  0x00007fe467f0255c in morkThumb::DoMore (this=0x7fe3e5a722c0, mev=<optimized out>, outTotal=<optimized out>, outCurrent=<optimized out>, 
    outDone=<optimized out>, outBroken=<optimized out>) at /usr/src/debug/thunderbird-15.0/comm-release/db/mork/src/morkThumb.cpp:157
#10 0x00007fe467df2bbc in nsMsgDatabase::OpenMDB (this=0x7fe4004f9180, dbName=
    0x7fe3e5a3c2c8 "/home/pasha/.thunderbird/Profiles/gm8quc20.default/ImapMail/mail.spb.ant-inform-1.ru/disp_events.sbd/auto.msf", create=false, sync=
    true) at /usr/src/debug/thunderbird-15.0/comm-release/mailnews/db/msgdb/src/nsMsgDatabase.cpp:1288
#11 0x00007fe467df5a67 in nsMsgDatabase::OpenInternal (this=0x7fe4004f9180, summaryFile=0x7fe3e66710c0, aCreate=false, aLeaveInvalidDB=false, sync=
    true) at /usr/src/debug/thunderbird-15.0/comm-release/mailnews/db/msgdb/src/nsMsgDatabase.cpp:1127
#12 0x00007fe467df2580 in nsMsgDBService::OpenFolderDB (this=this@entry=0x7fe4420e2e00, aFolder=aFolder@entry=0x7fe43de09438, 
    aLeaveInvalidDB=aLeaveInvalidDB@entry=false, _retval=0x7fe43de09460)
    at /usr/src/debug/thunderbird-15.0/comm-release/mailnews/db/msgdb/src/nsMsgDatabase.cpp:130
#13 0x00007fe467e12b2b in nsImapMailFolder::GetDatabase (this=0x7fe43de09400)
    at /usr/src/debug/thunderbird-15.0/comm-release/mailnews/imap/src/nsImapMailFolder.cpp:604
#14 0x00007fe467e1a0e7 in nsImapMailFolder::NotifyMessageFlags (this=0x7fe43de09400, aFlags=256, aKeywords=..., aMsgKey=369026, aHighestModSeq=0)
    at /usr/src/debug/thunderbird-15.0/comm-release/mailnews/imap/src/nsImapMailFolder.cpp:4871
#15 0x00007fe467e5d3cc in (anonymous namespace)::SyncRunnable4<nsIImapMessageSink, unsigned int, nsACString_internal const&, unsigned int, unsigned long>::Run (this=0x7fe3eb2513e0) at /usr/src/debug/thunderbird-15.0/comm-release/mailnews/imap/src/nsSyncRunnableHelpers.cpp:212
#16 0x00007fe467fd8bb3 in nsThread::ProcessNextEvent (this=0x7fe469d1cf20, mayWait=<optimized out>, result=0x7fffec4d83ff)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/xpcom/threads/nsThread.cpp:624
#17 0x00007fe467fae806 in NS_ProcessNextEvent_P (thread=<optimized out>, mayWait=false)
    at /usr/src/debug/thunderbird-15.0/comm-release/objdir/mozilla/xpcom/build/nsThreadUtils.cpp:213
#18 0x00007fe467f260d4 in mozilla::ipc::MessagePump::Run (this=0x7fe469dfbe00, aDelegate=0x7fe460302240)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/ipc/glue/MessagePump.cpp:82
#19 0x00007fe467ff72ff in RunHandler (this=0x7fe460302240)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/ipc/chromium/src/base/message_loop.cc:201
#20 MessageLoop::Run (this=0x7fe460302240) at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/ipc/chromium/src/base/message_loop.cc:175
#21 0x00007fe467c8c5ad in nsBaseAppShell::Run (this=0x7fe45c303ef0)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/widget/xpwidgets/nsBaseAppShell.cpp:163
#22 0x00007fe467b6cf75 in nsAppStartup::Run (this=0x7fe45c302240)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/toolkit/components/startup/nsAppStartup.cpp:255
#23 0x00007fe4673e1500 in XREMain::XRE_mainRun (this=this@entry=0x7fffec4d8630)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/toolkit/xre/nsAppRunner.cpp:3793
#24 0x00007fe4673e16ef in XREMain::XRE_main (this=this@entry=0x7fffec4d8630, argc=argc@entry=1, argv=argv@entry=0x7fffec4d9a18, 
    aAppData=aAppData@entry=0x7fe469d1e580) at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/toolkit/xre/nsAppRunner.cpp:3870
#25 0x00007fe4673e1953 in XRE_main (argc=1, argv=0x7fffec4d9a18, aAppData=0x7fe469d1e580, aFlags=<optimized out>)
    at /usr/src/debug/thunderbird-15.0/comm-release/mozilla/toolkit/xre/nsAppRunner.cpp:3946
#26 0x00000000004023e3 in do_main (argv=0x7fffec4d9a18, argc=1, exePath=0x7fffec4d88f8 "/usr/lib64/thunderbird/")
    at /usr/src/debug/thunderbird-15.0/comm-release/mail/app/nsMailApp.cpp:111
#27 main (argc=1, argv=0x7fffec4d9a18) at /usr/src/debug/thunderbird-15.0/comm-release/mail/app/nsMailApp.cpp:200

Version-Release number of selected component (if applicable):
$ rpm -q thunderbird
thunderbird-15.0-1.fc17.x86_64

How reproducible:
Its happened frequently around 5-20 times in hour.

Comment 1 Jan Horak 2012-09-10 14:01:55 UTC
There could be some performance problems with your inbox. How big it is? You may also try to test with fresh profile.

Comment 2 Pavel Alexeev 2012-09-10 14:09:57 UTC
Yes, I have big IMAP mailbox for several years and many folders. But I think it should not be problem for mail client on persistent basis. How you think?

Comment 3 Adam Huffman 2012-09-10 14:11:51 UTC
While I'm not the original reporter, I've been seeing this too, but only since I upgraded to Thunderbird 15.

Comment 4 Jan Horak 2012-09-14 08:18:04 UTC
(In reply to comment #3)
> While I'm not the original reporter, I've been seeing this too, but only
> since I upgraded to Thunderbird 15.
Reporter, do you also see it since update TB 15?

BTW if your messages stays on server you can always try to create new profile without losing them.

Comment 5 Pavel Alexeev 2012-09-14 10:57:55 UTC
I can say 15 thunderbird work much more smoothly. Sometimes such freezes still happened (I also do not understand why UI freezes if loading messages done in separate threads/processes?) but not so longer now.

Comment 6 Fedora End Of Life 2013-07-03 22:57:25 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2013-08-01 01:12:24 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.